Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Fetching contributors…

Cannot retrieve contributors at this time

78 lines (72 sloc) 2.376 kb
# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
s.name = %q{uglifier}
s.version = "0.4.0"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Ville Lautanala"]
s.date = %q{2011-02-26}
s.default_executable = %q{uglify}
s.email = %q{lautis@gmail.com}
s.executables = ["uglify"]
s.extra_rdoc_files = [
"LICENSE.txt",
"README.rdoc"
]
s.files = [
".document",
".gitmodules",
".rspec",
"Gemfile",
"LICENSE.txt",
"README.rdoc",
"Rakefile",
"VERSION",
"bin/uglify",
"lib/uglifier.rb",
"lib/uglifier/cli.rb",
"lib/uglifier/node.rb",
"spec/spec_helper.rb",
"spec/uglifier_spec.rb",
"uglifier.gemspec",
"vendor/uglifyjs/lib/parse-js.js",
"vendor/uglifyjs/lib/process.js",
"vendor/uglifyjs/lib/squeeze-more.js"
]
s.homepage = %q{http://github.com/lautis/uglifier}
s.require_paths = ["lib"]
s.rubygems_version = %q{1.5.0}
s.summary = %q{Ruby wrapper for UglifyJS JavaScript compressor}
s.test_files = [
"spec/spec_helper.rb",
"spec/uglifier_spec.rb"
]
if s.respond_to? :specification_version then
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
if Gem.available?("therubyracer-heroku")
s.add_runtime_dependency(%q<therubyracer-heroku>, ["~> 0.8.0"])
else
s.add_runtime_dependency(%q<therubyracer>, ["~> 0.8.0"])
end
s.add_development_dependency(%q<rspec>, ["~> 2.5.0"])
s.add_development_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_development_dependency(%q<jeweler>, ["~> 1.5.0"])
s.add_development_dependency(%q<rcov>, [">= 0"])
else
s.add_dependency(%q<therubyracer>, ["~> 0.8.0"])
s.add_dependency(%q<rspec>, ["~> 2.5.0"])
s.add_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_dependency(%q<jeweler>, ["~> 1.5.0"])
s.add_dependency(%q<rcov>, [">= 0"])
end
else
s.add_dependency(%q<therubyracer>, ["~> 0.8.0"])
s.add_dependency(%q<rspec>, ["~> 2.5.0"])
s.add_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_dependency(%q<jeweler>, ["~> 1.5.0"])
s.add_dependency(%q<rcov>, [">= 0"])
end
end
Jump to Line
Something went wrong with that request. Please try again.